Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### smooth()

Examples

    background(0);
    ellipse(30, 48, 36, 36);
    smooth();
    ellipse(70, 48, 36, 36);

Description | Draws all geometry with smooth (anti-aliased) edges. This will slow down the frame rate of the application, but will enhance the visual refinement. Starting with release 0124, when using the default (JAVA2D) renderer, smooth() will also improve image quality of resized images.

Syntax

    smooth()

Parameters

Usage | Web & Application
Related | noSmooth()

Updated on February 09, 2008 04:38:52pm PST